Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.net
Class SocketFactory

    java.lang.Object
      com.mindbright.net.SocketFactory

public class SocketFactory
extends java.lang.Object

Constructor Summary
`SocketFactory()`

Method Summary
`static java.net.Socket` | `newSocket(java.net.InetAddress ia, int port)`
`static java.net.Socket` | `newSocket(java.net.InetAddress ia, int port, long mstimeout)`
`static java.net.Socket` | `newSocket(java.lang.String host, int port)`
`static java.net.Socket` | `newSocket(java.lang.String host, int port, long mstimeout)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SocketFactory

    public SocketFactory()

Method Detail

### newSocket

    public static java.net.Socket newSocket(java.net.InetAddress ia,
                                            int port)
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### newSocket

    public static java.net.Socket newSocket(java.lang.String host,
                                            int port)
                                     throws java.net.UnknownHostException,
                                            java.io.IOException

  Throws:
    `java.net.UnknownHostException`
    `java.io.IOException`

### newSocket

    public static java.net.Socket newSocket(java.lang.String host,
                                            int port,
                                            long mstimeout)
                                     throws java.net.UnknownHostException,
                                            java.io.IOException

  Throws:
    `java.net.UnknownHostException`
    `java.io.IOException`

### newSocket

    public static java.net.Socket newSocket(java.net.InetAddress ia,
                                            int port,
                                            long mstimeout)
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD